The Spatials: Galactology

The Spatials: Galactology

The Spatials are back with Galactology! Design, build and protect your space station from the many enemies you will make while exploring the galaxy and exploding their homeworlds.

Minimum system requirements: 

OS: Ubuntu 14.04 64 bitProcessor: 1.3 Ghz or higher (64 bit only!)Memory: 4096 MB RAMGraphics: Intel HD 3000+ / AMD Radeon HD 4000+ / NVIDIA GeForce GT 200+Storage: 300 MB available spaceAdditional Notes: Requires stable OpenGL 3.2 drivers with GLSL support

External links:
Developer: Weird and Wry

Comments